### Method

# Gimp Drawable fill

#### Declaration [src]

    gboolean
    gimp_drawable_fill (
      GimpDrawable* drawable,
      GimpFillType fill_type
    )

#### Description [src]

Fill the drawable with the specified fill mode.

This procedure fills the drawable. If the fill mode is foreground the current foreground color is used. If the fill mode is background, the current background color is used. If the fill type is white, then white is used. Transparent fill only affects layers with an alpha channel, in which case the alpha channel is set to transparent. If the drawable has no alpha channel, it is filled to white. No fill leaves the drawable’s contents undefined. This procedure is unlike `gimp_drawable_edit_fill()` or the bucket fill tool because it fills regardless of a selection. Its main purpose is to fill a newly created drawable before adding it to the image. This operation cannot be undone.

#### Parameters

`fill_type` | `GimpFillType`
| The type of fill.

#### Return value

Returns: | `gboolean`
| TRUE on success.